Subject: Re: GSoC - Some questions on the idea of

From: Neal Kreitzinger <[email-masked]>
Date: Wed, 11 Apr 2012 11:35:23 -0500

On 4/11/2012 1:04 AM, Jonathan Nieder wrote:
> Neal Kreitzinger wrote:
>
>> Maybe small binaries do xdelta well and the above is a moot point.
>
> If I am reading it correctly, diff-delta copes fine with smallish
> binary files that have not changed much.  Converting to hex would
> only hurt.
>
> I would suggest tracking source code instead of binaries if
> possible, though.
>
Is there some documentation out there that lists the common binary
formats (e.g., pdf, docx, gif, jpg, png, bmp, mpeg, mp3, zip, 
c-binaries, java stuff, website stuff, etc.) and explains their nature 
(container, compressed, encrypted, etc.), how well they currently delta 
in git.git within specified size boundaries and use cases (pdfs with 
only plain text vs. pdfs with graphics, tables, etc.) so git users can 
reference that to make their git repo/superproject design decisions?

v/r,
neal